function [ f_wx ] = linear_interp_w_1_mat( tyear, w, f, N, x_crit, x_max, xi)

    % takes new x values (wx), and gets resulting fitness values
    % linear interpolates if necessary
       
    Nval = N;
    % takes "new" x values, and gets resulting fitness values
    % linear interpolates if necessary
    x_crit = ones(1,N)*x_crit;
    x_max = ones(1,N)*x_max;
    N = ones(1,N)*Nval;
    
    %put real values into computer values, 0:N
    xval_c = (w-x_crit).*N./(x_max - x_crit);
    
    %find base integers
    jbase = floor(xval_c); 
    
    %define delta x_c
    change = ((xval_c - jbase).');
       
    %linear interpolated values of f
    j1 = jbase == Nval;
        f_wx(j1) = f(Nval+1, 1, tyear+1, 1, xi);
    j2 = jbase ~= Nval;
        f_wx(j2) = (1-change(j2)).*f(jbase(j2)+1,1,tyear+1,1,xi) + ...
               change(j2).*f(jbase(j2)+2,1,tyear+1,1,xi);
    
end
